Ruby über RVM installiert

Mit RVM ist es möglich, verschiedene Ruby Versionen zu nutzen.

RVM Installation:

bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer )

echo '[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm" # Load RVM function' >> ~/.bash_profile
Müsste getestet werden, wenn es nicht klappt, .Bash_rc benutzen! (wird erst nach einem Neustart aktiv)
*Wichtig* Shell neustarten!

source ~/.bash_profile


type rvm | head -1

Wenn *rvm is a function* in der Konsole steht, läuft RVM.

rvm requirements
Falls notwendig, Abhängigkeiten installieren.

Zlib installieren (wird für Rubygem benötigt)
rvm pkg install zlib
Ruby 1.8.7
rvm install 1.8.7
Ruby 1.9.3
rvm install 1.9.3

Ruby Version auswählen:
rvm use 1.9.3

Advertisements

Kommentar verfassen

Trage deine Daten unten ein oder klicke ein Icon um dich einzuloggen:

WordPress.com-Logo

Du kommentierst mit Deinem WordPress.com-Konto. Abmelden / Ändern )

Twitter-Bild

Du kommentierst mit Deinem Twitter-Konto. Abmelden / Ändern )

Facebook-Foto

Du kommentierst mit Deinem Facebook-Konto. Abmelden / Ändern )

Google+ Foto

Du kommentierst mit Deinem Google+-Konto. Abmelden / Ändern )

Verbinde mit %s